      subroutine sebar_e(n,pc,ebup,ebdo) ! bernd berg jan 12 1999.
c
c error bar for the gaussian error bar.
c =================================
c input:   number of gaussian data, confidence interval.
c output:  upper and lower error bar limits (exact).
c
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      common /chi2par/ nf
      nf=n-1
      if(n.gt.17 000) call sebar_e_as(n,pc,ebup,ebdo)
      if(n.gt.17 000) return
      if(pc.le.zero) q=half*(one-0.954499736d00)
      if(pc.gt.zero) q=half*(one-pc)
      p=one-q
      ebup=one/sqrt(chi2pdf_xq(q))
      ebdo=one/sqrt(chi2pdf_xq(p))
      return
      end
